Subject: bug#6227: Color isearch regexp submatches differently

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Sep 2020 15:48:00 +0200

Eli Zaretskii <[email-masked]> writes:

> That's true, but the problem which bothers me is that customizing
> search-highlight-submatches alone to a larger value is not enough.  I
> don't think any other customization we have requires users to create
> faces or similar objects.

That's true...  OK, I'll just add the remaining four faces, and then
make the variable a boolean toggle, because (as Drew notes) nobody is
going to want to customise the number of sub-expressions, really.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no